Module jdk.javadoc
Package jdk.javadoc.doclet

## Enum Doclet.Option.Kind

- java.lang.Object
- - java.lang.Enum<Doclet.Option.Kind>
  - - jdk.javadoc.doclet.Doclet.Option.Kind

All Implemented Interfaces:
  Serializable, Comparable<Doclet.Option.Kind>

Enclosing interface:
  Doclet.Option

    public static enum Doclet.Option.Kind
    extends Enum<Doclet.Option.Kind>

The kind of an option.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTENDED` an extended option, such as those prefixed with -X
`OTHER` an implementation reserved option
`STANDARD` a standard option

### Method Summary

All Methods Static Methods Concrete Methods
`static Doclet.Option.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Doclet.Option.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXTENDED

    public static final Doclet.Option.Kind EXTENDED

an extended option, such as those prefixed with -X

#### OTHER

    public static final Doclet.Option.Kind OTHER

an implementation reserved option

#### STANDARD

    public static final Doclet.Option.Kind STANDARD

a standard option

### Method Detail

#### values

    public static Doclet.Option.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Doclet.Option.Kind c : Doclet.Option.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Doclet.Option.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null